﻿@Code
    Layout = "~/Views/Shared/_Layout.vbhtml"
    ViewBag.Title = "SelectPdf for .NET - Get Web Elements Location in PDF with Html to Pdf Converter - VB.NET / ASP.NET MVC"
    ViewBag.Description = "SelectPdf Get Web Elements Location in PDF with Html to Pdf Converter Sample for VB.NET ASP.NET MVC. Pdf Library for .NET with full sample code in C# and VB.NET."
    ViewBag.Keywords = "web element location, pdf, pdf library, sample code, html to pdf, pdf converter"
End Code

@Using (Html.BeginForm("SubmitAction", "WebElementsLocation", FormMethod.Post))
    @<article Class="post type-post status-publish format-standard hentry">
        <header Class="entry-header">
            <h1 Class="entry-title">SelectPdf for .NET - Get Web Elements Location in PDF with Html to Pdf Converter - VB.NET / ASP.NET MVC Sample</h1>
        </header>
        <!-- .entry-header -->

        <div Class="entry-content">
            <p>
                This sample shows how the html To pdf converter can locate certain web elements In the generated PDF Using SelectPdf Pdf Library For .NET.
                <br />
                <br />
                The web elements are defined Using CSS selectors.
                For example, the selector for all the H1 elements Is "H1", the selector for all the elements with the CSS class name 'myclass' is "*.myclass" and
                the selector For the elements With the id 'myid' is "*#myid". Read more about CSS selectors <a href="http://www.w3schools.com/cssref/css_selectors.asp" target="_blank">here</a>.
                <br />
                <br />
                The specified web elements will be marked/highlighted In PDF With a blue rectangle.
            </p>
            <p>
                Url : <br />
                <input type = "text" value="http://selectpdf.com" name="TxtUrl" style="width:90%" />
                <br />
                <br />
                Web elements : <br />
                <input type = "text" value="h1, h2" name="TxtElements" style="width:90%" />
                <br />
                <br />
                <input type = "submit" name="BtnConvert" value="Create PDF" Class="mybutton" />
            </p>
        </div>
        <!-- .entry-content -->
    </article>
End Using


