﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samples.Master" AutoEventWireup="true" CodeBehind="existing-pdf-headers-and-footers.aspx.cs" Inherits="SelectPdf.Samples.existing_pdf_headers_and_footers" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>SelectPdf for .NET - Modify Pdf Document to Add Headers and Footers - C# / ASP.NET</title>
    <meta name="description" content="SelectPdf Modify Existing Pdf Document to Add Headers and Footers Sample for C# ASPNET. Pdf Library for .NET with full sample code in C# and VB.NET." itemprop="description">
    <meta name="keywords" content="modify pdf, resize content, pdf header, pdf footer, pdf library, sample code, html to pdf, pdf converter" itemprop="keywords">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" runat="server">
        <article class="post type-post status-publish format-standard hentry">
            <header class="entry-header">
                <h1 class="entry-title">SelectPdf for .NET - Modify Existing Pdf Document to Add Headers and Footers - C# / ASP.NET Sample</h1>
            </header>
            <!-- .entry-header -->

            <div class="entry-content">
                <p>
                    This sample shows how to modify an existing PDF document using SelectPdf to make space for headers and footers and 
                    how to add the header and footer to the existing pdf document.
                    <br /><br />
                    Headers and footers are designed using pdf templates. Header is displayed at the top of the page. Footer is displayed at the bottom of the page.
                    They contain elements that repeat on each page of the pdf document.
                    <br /><br />
                    Note: doc.Header and doc.Footer properties must not be used in this case, as they only work for new pdf documents or new pdf pages.
                </p>
                <p>
                    The sample uses the following (existing) test PDF:<br />
                    <a href="files/selectpdf.pdf" target="_blank">Test PDF document</a><br />
                </p>
                <p>
                    <asp:Button ID="BtnCreatePdf" runat="server" Text="Create PDF" OnClick="BtnCreatePdf_Click" CssClass="mybutton" />
                </p>
            </div>
            <!-- .entry-content -->
        </article>
        <!-- #post -->
</asp:Content>
